product.hpp File Reference

Forward declares `boost::hana::product`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::product = see documentation

Compute the product of the numbers of a structure.More generally, `product` will take any foldable structure containing objects forming a Ring and reduce them using the Ring's binary operation. The initial state for folding is the identity of the Ring's operation. It is sometimes necessary to specify the Ring to use; this is possible by using `product<R>`. If no Ring is specified, the structure will use the Ring formed by the elements it contains (if it knows it), or `integral_constant_tag<int>` otherwise. Hence,. More...

## Detailed Description

Forward declares `boost::hana::product`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)